# Imagick::rollImage

(PECL imagick 2.0.0)

Imagick::rollImage — Offsets an image

### Description

Imagick::rollImage ( int `$x` , int `$y` ) : bool

Offsets an image as defined by x and y.

### Parameters

`x`

  The X offset.

`y`

  The Y offset.

### Return Values

Returns `TRUE` on success.

### Examples

Example #1 Imagick::rollImage()

`<?php
function rollImage($imagePath, $rollX, $rollY) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->rollimage($rollX, $rollY);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`